#include <stdio.h>
#include <unistd.h>
#include <stdint.h>
#include "button_modul.h"
#include "fader.h"

uint8_t  buttons;
uint16_t leds;
uint16_t fader;

void demo_init(void){
  bm_init();
  f_init();
  leds = 0x0;
  buttons = bm_transmit(leds | 0x1000);
  fader = f_read();
}

int main(){
  uint16_t t_fader;
  uint8_t t_buttons;

  demo_init();

  while(1){
    t_fader = f_read();
    t_buttons = bm_transmit(leds);

    if(t_fader != fader || t_buttons != buttons){
      uint16_t t_leds = 0xFFFF;
      if(t_fader >= 84) t_leds = t_leds << 1;
      if(t_fader >= 169) t_leds = t_leds << 1;
      if(t_fader >= 254) t_leds = t_leds << 1;
      if(t_fader >= 339) t_leds = t_leds << 1;
      if(t_fader >= 424) t_leds = t_leds << 1;
      if(t_fader >= 509) t_leds = t_leds << 1;
      if(t_fader >= 594) t_leds = t_leds << 1;
      if(t_fader >= 679) t_leds = t_leds << 1;
      if(t_fader >= 764) t_leds = t_leds << 1;
      if(t_fader >= 849) t_leds = t_leds << 1;
      if(t_fader >= 934) t_leds = t_leds << 1;
      if(t_fader >= 1019) t_leds = t_leds << 1;

      leds = (~t_leds) | ((leds != t_leds) << 12);

    }
  }
  usleep(1000);

  return 0;
}